button
Prev | Orchestra Opcodes and Operators | Next

## button

button — Sense on-screen controls.

## Description

Sense on-screen controls. Requires Winsound or TCL/TK.

## Syntax

    kres button knum

## Performance

Note that this opcode is not available on Windows due to the implimentation of pipes on that system

kres -- value of the button control. If the button has been pushed since the last k-period, then return 1, otherwise return 0.

knum -- the number of the button. If it does not exist, it is made on-screen at initialization.

## See Also

checkbox

## Credits

Author: John ffitch
University of Bath, Codemist. Ltd.
Bath, UK
September 2000

New in Csound version 4.08

Prev | Up | Next
butterlp | Home | buzz